
/* body { background-color: #f8f9fa; } */
h2, h4 { margin-top: 20px; }
.table td, .table th { vertical-align: middle; }
.alert { margin-top: 10px; }

#dados_cliente { display: none; }
#dados_cliente.mostrar { display: block; }

body.tela-login {
    background-color: #f8f9fa;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

body.tela-login .login-container {
    background: white;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    width: 100%;
    max-width: 400px;
}

body.tela-login .btn-dark {
    width: 100%;
}

table tbody tr {
    background-color: #e9ecef; /* fundo da linha */
    border-color: #adb5bd;     /* cor da borda horizontal */
}

table thead th {
    border-color: #adb5bd; /* borda do cabeçalho */
}

table td, table th {
    border-color: #adb5bd; /* bordas laterais */
}

table tbody tr:nth-child(even) {
    background-color: #dee2e6; /* zebra */
}

table tbody tr:hover {
    background-color: #ced4da; /* hover */
}

.toggle-fa[aria-expanded="true"] i {
    transform: rotate(180deg);
    transition: transform 0.2s;
}

.toggle-fa[aria-expanded="false"] i {
    transform: rotate(0deg);
    transition: transform 0.2s;
}

body {
    padding-bottom: 50px;
}

.whatsapp{
    text-decoration: none;
}

input[type="checkbox"] {
  width: 1.2em;
  height: 1.2em;
  border: 2px solid #000;
}

input[type="checkbox"]:checked {
  background-color: #198754; /* Verde Bootstrap */
  border-color: #198754;
}
.select2-results__options {
  max-height: none !important;
}
.select2-results-custom-height .select2-results__options {
  max-height: 550px !important; /* ou o valor que quiser */
}
#modalEditarPedido .form-label {
  display: block;
  margin-bottom: 0.25rem; /* dá um espacinho entre label e select */
  font-weight: 500;
}

#modalEditarPedido .select2-container--bootstrap4 {
  width: 100% !important;
}

textarea{
    resize: none;
}

.riscado{
    text-decoration: line-through;
}

.limited-scroll {
  max-height: 240px;
  overflow-y: auto;
  padding-right: 6px;
  padding-top:0px;
}

.limited-scroll::-webkit-scrollbar {
  width: 6px;
}

.limited-scroll::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 4px;
}

.card-title.sticky-top {
  position: sticky;
  top: 0;
  background-color: #fff;
  z-index: 2;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  border-bottom: 1px solid #dee2e6;
}